%define anolis_release 1
%global maj 0

Name:           serd
Version:        0.30.16
Release:        %{anolis_release}%{?dist}
Summary:        A lightweight C library for RDF syntax

License:        ISC
URL:            https://drobilla.net/software/%{name}.html
Source0:        https://download.drobilla.net/%{name}-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  glib2-devel
BuildRequires:  python3
BuildRequires:  gcc
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_lv2_theme

%description
%{name} is a lightweight C library for RDF syntax which supports reading and 
writing Turtle, TRiG, NTriples, and NQuads.

Serd is suitable for performance-critical or resource-limited applications,
such as serialising very large data sets, network protocols, or embedded
systems that require minimal dependencies and lightweight deployment.

%package devel
Summary:        Development libraries and headers for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
%{name} is a lightweight C library for RDF syntax which supports reading and 
writing Turtle, TRiG, NTriples, and NQuads.

This package contains the headers and development libraries for %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
# Delete sphinx buildinfo
rm %{buildroot}%{_docdir}/%{name}-%{maj}/{html,singlehtml}/.buildinfo
# Move devel docs to the right directory
install -d %{buildroot}%{_docdir}/%{name}
mv %{buildroot}%{_docdir}/%{name}-%{maj} %{buildroot}%{_docdir}/%{name}

%check
%meson_test

%generate_compatibility_deps


%files
%license COPYING
%dir %{abidir}
%doc %{_mandir}/man1/serdi.1*
%{_libdir}/lib%{name}-%{maj}.so.%{maj}*
%{abidir}/lib%{name}-%{maj}.dump
%{_bindir}/serdi
%{abidir}/serdi-option.list

%files devel
%doc %{_docdir}/%{name}/%{name}-%{maj}/
%{_libdir}/lib%{name}-%{maj}*.so
%{_libdir}/pkgconfig/%{name}*.pc
%{_includedir}/%{name}-%{maj}/

%files doc
%doc AUTHORS NEWS README.md


%changelog
* Mon Mar 27 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> - 0.30.16-1
- Initial build